WingzParserInternal::Style Struct Reference

Internal: the cell style of a WingzParser. More...

## Public Member Functions

| Style ()
| constructor

## Public Attributes

MWAWFont | m_font
| the font
MWAWColor | m_backgroundColor
| the cell background color
MWAWColor | m_lineColor
| the line color (if needed)
std::string | m_format
| the cell custom format (if known)

## Detailed Description

Internal: the cell style of a WingzParser.

## Constructor & Destructor Documentation

## Style()

WingzParserInternal::Style::Style | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_backgroundColor

MWAWColor WingzParserInternal::Style::m_backgroundColor

the cell background color

Referenced by WingzParser::readSpreadsheetStyle(), and Style().

## m_font

MWAWFont WingzParserInternal::Style::m_font

the font

Referenced by WingzParser::readSpreadsheetStyle(), and Style().

## m_format

std::string WingzParserInternal::Style::m_format

the cell custom format (if known)

Referenced by Style().

## m_lineColor

MWAWColor WingzParserInternal::Style::m_lineColor

the line color (if needed)

Referenced by WingzParser::readSpreadsheetStyle(), and Style().

The documentation for this struct was generated from the following file:

- WingzParser.cxx